Subject: [PATCH] ASoC: fix codec breakage caused by the volsw/volsw_2r merger

From: Peter Ujfalusi <[email-masked]>
Date: Thu, 6 Oct 2011 07:43:21 +0300

By accident few places still uses the _2r calls from
the core.
This is a quick fix, the drivers using the old callbacks
going to be changed.

Signed-off-by: Peter Ujfalusi <[email-masked]>
---

Hi Stephen, Mark,

I'm really sorry, I can not explain how it happened.
Please find a quick fox for the issue.
I'm going to fix the drivers meanwhile.

Regards,
Peter

 include/sound/soc.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/include/sound/soc.h b/include/sound/soc.h
index 88ba85a..858291d 100644
--- a/include/sound/soc.h
+++ b/include/sound/soc.h
@@ -393,6 +393,8 @@ int snd_soc_get_volsw(struct snd_kcontrol *kcontrol,
 	struct snd_ctl_elem_value *ucontrol);
 int snd_soc_put_volsw(struct snd_kcontrol *kcontrol,
 	struct snd_ctl_elem_value *ucontrol);
+#define snd_soc_get_volsw_2r snd_soc_get_volsw
+#define snd_soc_put_volsw_2r snd_soc_put_volsw
 int snd_soc_info_volsw_s8(struct snd_kcontrol *kcontrol,
 	struct snd_ctl_elem_info *uinfo);
 int snd_soc_get_volsw_s8(struct snd_kcontrol *kcontrol,
-- 
1.7.7